Bug 137720 - php SRPM missing buildprereq: libtool
Summary: php SRPM missing buildprereq: libtool
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-31 12:13 UTC by Bishop Clark
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 4.3.2-19.ent
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 14:59:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bishop Clark 2004-10-31 12:13:30 UTC
Description of problem:
The PHP SRPM uses libtool to build the binary RPM, but doesn't include
it as a build dependency.  Thus, builds can be started without proper
prereqs in place.

Version-Release number of selected component (if applicable):
php-4.3.2-14.ent

How reproducible:
every time

Steps to Reproduce:
1. rpm -i /path/to/php-4.3.2-14.ent.src.rpm
2. su root -c "rpm -e libtool"
3. rpmbuild -ba /path/to/php.spec
  
Actual results:
libtool:  not found.

Expected results:
write:  /path/to/RPMS/php-4.3.2-14.ent.i386.rpm (etc)


Additional info:
trivial fix, but I figured it should be logged.

Comment 1 Joe Orton 2004-11-01 10:10:25 UTC
Thanks for the report.

Comment 4 Joe Orton 2005-03-02 14:59:25 UTC
This was fixed in the 4.3.2-19.ent erratum packages.


Note You need to log in before you can comment on or make changes to this bug.